petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatFDColoringGetPerturbedColumns

Returns the indices of the columns that that are currently being perturbed.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatFDColoringGetPerturbedColumns(MatFDColoring coloring,PetscInt *n,PetscInt *cols[])

Not Collective Many br

### Input Parameters

coloring -coloring context created with MatFDColoringCreate() Many br

### Output Parameters

| n | - the number of local columns being perturbed Many br
| cols | - the column indices, in global numbering Many br

Many br

### See Also

MatFDColoringCreate(), MatFDColoringDestroy(), MatFDColoringView(), MatFDColoringApply()

### Keywords

coloring, Jacobian, finite differences

Level:intermediate
Location:src/mat/matfd/fdmatrix.c
Index of all MatFD routines
Table of Contents for all manual pages
Index of all manual pages